<?php
/**
 * sister Theme Customizer: Options
 *
 * @package sister
 */

function sister_customizer_options( $wp_customize ) {
    /*--------------------------------------------------------------
        # Panels
    --------------------------------------------------------------*/
    // START HERE
    $wp_customize->add_panel( 'sister_start_here_panel', array(
        'title' => __( 'Start Here (Sister)', 'sister' ),
        'description' => 'Set your container width and colors',
        'priority' => 10,
    ) );

    // BACKGROUND
    $wp_customize->add_panel( 'sister_background_panel', array(
        'title' => __( 'Background (Sister)', 'sister' ),
        'description' => 'Background Color and Image.',
        'priority' => 20,
    ) );

    // HEADER
    $wp_customize->add_panel( 'sister_header_panel', array(
        'title' => __( 'Header (Sister)', 'sister' ),
        'description' => 'You can customize the header style.',
        'priority' => 40,
    ) );

    // FOOTER
    $wp_customize->add_panel( 'sister_footer_panel', array(
        'title' => __( 'Footer (Sister)', 'sister' ),
        'description' => 'You can customize the Footer.',
        'priority' => 80,
    ) );

    /*--------------------------------------------------------------
        # Sections
    --------------------------------------------------------------*/
    // START HERE
    // Colors
    $wp_customize->add_section( 'sister_start_here_colors' , array(
        'title' => __( 'Colors', 'sister' ),
        'description' => 'Change the colors of your website.',
        'priority' => 20,
        'panel' => 'sister_start_here_panel',
    ) );

    // BACKGROUND
    // Background Color
    $wp_customize->add_section( 'colors' , array(
        'title' => __('Background Color', 'sister'),
        'priority'  => 10,
        'panel' => 'sister_background_panel',
    ));

    // Background Image (Rename)
    $wp_customize->add_section( 'background_image' , array(
        'title' => __('Background Image', 'sister'),
        'priority'  => 20,
        'panel' => 'sister_background_panel',
    ));

    // Container Color
    $wp_customize->add_section( 'sister_background_container' , array(
        'title' => __( 'Container Color', 'sister' ),
        'priority'  => 30,
        'panel' => 'sister_background_panel',
    ) );

    // HEADER
    // Move Site Identity to Header Panel
    $wp_customize->add_section( 'title_tagline' , array(
        'title'     => __('Site Identity', 'sister'),
        'priority'  => 10,
        'panel' => 'sister_header_panel',
    ));
    
    // Move Header Image to Header Panel
    $wp_customize->add_section( 'header_image' , array(
        'title'     => __('Header Image', 'sister'),
        'priority'  => 20,
        'panel' => 'sister_header_panel',
    ));

    // Menu
    $wp_customize->add_section( 'sister_header_menu_colors' , array(
        'title' => __( 'Menu Colors', 'sister' ),
        'priority' => 20,
        'panel' => 'sister_header_panel',
    ) );

    // FOOTER: Colors
    $wp_customize->add_section( 'sister_footer_colors' , array(
        'title' => __( 'Colors', 'sister' ),
        'priority' => 10,
        'panel' => 'sister_footer_panel',
    ) );

    /*--------------------------------------------------------------
        # Options
    --------------------------------------------------------------*/
    // START HERE: COLORS
    // Primary Color
    $wp_customize->add_setting( 'sister_start_here_primary_color', array(
        'default' => '#303030',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_start_here_primary_color', array(
        'label' => __( 'Primary Color', 'sister' ),
        'priority' => 10,
        'section' => 'sister_start_here_colors',
        'settings' => 'sister_start_here_primary_color',
    ) ) );

    // Secondary Color
    $wp_customize->add_setting( 'sister_start_here_secondary_color', array(
        'default' => '#a3a3a3',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_start_here_secondary_color', array(
        'label' => __( 'Secondary Color', 'sister' ),
        'priority' => 20,
        'section' => 'sister_start_here_colors',
        'settings' => 'sister_start_here_secondary_color',
    ) ) );

    // Accent Color
    $wp_customize->add_setting( 'sister_start_here_accent_color', array(
        'default' => '#ec766a',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_start_here_accent_color', array(
        'label' => __( 'Accent Color', 'sister' ),
        'priority' => 30,
        'section' => 'sister_start_here_colors',
        'settings' => 'sister_start_here_accent_color',
    ) ) );

    // BACKGROUND
    // Container Color
    $wp_customize->add_setting( 'sister_background_container_color', array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_background_container_color', array(
        'label' => __( 'Container Color', 'sister' ),
        'priority' => 30,
        'section' => 'sister_background_container',
        'settings' => 'sister_background_container_color',
    ) ) );

    // HEADER: SITE IDENTITY
    // Site Title Color
    $wp_customize->add_setting( 'sister_header_site_title_color', array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_header_site_title_color', array(
        'label' => __( 'Site Title Color', 'sister' ),
        'priority' => 10,
        'section' => 'title_tagline',
        'settings' => 'sister_header_site_title_color',
    ) ) );

    // Site Title Hover Color
    $wp_customize->add_setting( 'sister_header_site_title_hover_color', array(
        'default' => '#a3a3a3',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_header_site_title_hover_color', array(
        'label' => __( 'Site Title Hover Color', 'sister' ),
        'priority' => 20,
        'section' => 'title_tagline',
        'settings' => 'sister_header_site_title_hover_color',
    ) ) );

    // Tagline Color
    $wp_customize->add_setting( 'sister_header_tagline_color', array(
        'default' => '#a3a3a3',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_header_tagline_color', array(
        'label' => __( 'Tagline Color', 'sister' ),
        'priority' => 30,
        'section' => 'title_tagline',
        'settings' => 'sister_header_tagline_color',
    ) ) );

    // HEADER: MENU COLORS
    // menu link color
    $wp_customize->add_setting( 'sister_header_menu_color', array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_header_menu_color', array(
        'label' => __( 'Menu Color', 'sister' ),
        'priority' => 10,
        'section' => 'sister_header_menu_colors',
        'settings' => 'sister_header_menu_color',
    ) ) );

    // menu link hover color
    $wp_customize->add_setting( 'sister_header_menu_hover_color', array(
        'default' => '#a3a3a3',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_header_menu_hover_color', array(
        'label' => __( 'Menu Hover Color', 'sister' ),
        'priority' => 20,
        'section' => 'sister_header_menu_colors',
        'settings' => 'sister_header_menu_hover_color',
    ) ) );

    // FOOTER: Colors
    // Background Color
    $wp_customize->add_setting( 'sister_footer_bg_color', array(
        'default' => '#262626',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_footer_bg_color', array(
        'label' => __( 'Background Color', 'sister' ),
        'priority' => 10,
        'section' => 'sister_footer_colors',
        'settings' => 'sister_footer_bg_color',
    ) ) );

    // Text Color
    $wp_customize->add_setting( 'sister_footer_text_color', array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_footer_text_color', array(
        'label' => __( 'Text Color', 'sister' ),
        'priority' => 20,
        'section' => 'sister_footer_colors',
        'settings' => 'sister_footer_text_color',
    ) ) );

    // Widget Title Color
    $wp_customize->add_setting( 'sister_footer_widget_title_color', array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_footer_widget_title_color', array(
        'label' => __( 'Widget Title Color', 'sister' ),
        'priority' => 30,
        'section' => 'sister_footer_colors',
        'settings' => 'sister_footer_widget_title_color',
    ) ) );

    // Link Color
    $wp_customize->add_setting( 'sister_footer_link_color', array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_footer_link_color', array(
        'label' => __( 'Link Color', 'sister' ),
        'priority' => 40,
        'section' => 'sister_footer_colors',
        'settings' => 'sister_footer_link_color',
    ) ) );

    // Link Hover Color
    $wp_customize->add_setting( 'sister_footer_link_hover_color', array(
        'default' => '#ec766a',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sister_footer_link_hover_color', array(
        'label' => __( 'Link Hover Color', 'sister' ),
        'priority' => 50,
        'section' => 'sister_footer_colors',
        'settings' => 'sister_footer_link_hover_color',
    ) ) );
}
add_action('customize_register', 'sister_customizer_options');



/**
 * Customizer Apply CSS to Head
 */
if ( ! function_exists( 'sister_customizer_options_css' ) ) :
    
    function sister_customizer_options_css() {
        if ( get_theme_mod('sister_start_here_primary_color') || 
             get_theme_mod('sister_start_here_secondary_color') || 
             get_theme_mod('sister_start_here_accent_color') || 
             get_theme_mod('sister_background_container_color') || 
             get_theme_mod('sister_header_site_title_color') || 
             get_theme_mod('sister_header_site_title_hover_color') || 
             get_theme_mod('sister_header_tagline_color') || 
             get_theme_mod('sister_header_menu_color') || 
             get_theme_mod('sister_header_menu_hover_color') || 
             get_theme_mod('sister_footer_bg_color') || 
             get_theme_mod('sister_footer_text_color') || 
             get_theme_mod('sister_footer_widget_title_bg_color') || 
             get_theme_mod('sister_footer_widget_title_color') || 
             get_theme_mod('sister_footer_link_color') || 
             get_theme_mod('sister_footer_link_hover_color')
        ) { 
        ?>

            /* START HERE: COLORS */
            /* Primary Color */
            body { 
                color: <?php echo get_theme_mod('sister_start_here_primary_color', '#303030'); ?>;
            }

            /* Secondary Color */
            a:hover {
                color: <?php echo get_theme_mod('sister_start_here_secondary_color', '#a3a3a3'); ?>;
            }

            /* Accent Color */
            a,
            a:visited,
            a:focus,
            a:active  {
                color: <?php echo get_theme_mod('sister_start_here_accent_color', '#ec766a'); ?>;
            }

            /* BACKGROUND */
            /* Container Color */
            .container { 
                background-color: <?php echo get_theme_mod('sister_background_container_color', '#ffffff'); ?>;
            }

            /* HEADER: SITE TITLE COLORS */
            .site-title a,
            .site-title a:visited {
                color: <?php echo get_theme_mod('sister_header_site_title_color', '#000000'); ?>;
            }

            .site-title a:hover,
            .site-title a:active {
                color: <?php echo get_theme_mod('sister_header_site_title_hover_color', '#a3a3a3'); ?>;
            }

            .site-description {
                color: <?php echo get_theme_mod('sister_header_tagline_color', '#a3a3a3'); ?>;
            }

            /* HEADER: MENU COLORS */
            .main-navigation a {
                color: <?php echo get_theme_mod('sister_header_menu_color', '#000000'); ?>;
            }

            .main-navigation a:hover {
                color: <?php echo get_theme_mod('sister_header_menu_hover_color', '#a3a3a3'); ?>;
            }

            /* FOOTER: COLORS */
            .site-footer,
            .site-footer .container {
              background-color: <?php echo get_theme_mod('sister_footer_bg_color', '#262626'); ?>;
              color: <?php echo get_theme_mod('sister_footer_text_color', '#ffffff'); ?>;
            }

            .footer-widget .widget-title {
              background-color: <?php echo get_theme_mod('sister_footer_widget_title_bg_color', '#262626'); ?>;
              color: <?php echo get_theme_mod('sister_footer_widget_title_color', '#ffffff'); ?>;
            }


            .site-footer a,
            .site-footer a:visited {
              color: <?php echo get_theme_mod('sister_footer_link_color', '#ffffff'); ?> !important;
            }

            .site-footer a:hover,
            .site-footer a:focus,
            .site-footer a:active  {
              color: <?php echo get_theme_mod('sister_footer_link_hover_color', '#ec766as'); ?> !important;
            }
        <?php
    }
}
endif;