/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {
	// START HERE: CONTAINER WIDTH
	// Site Width
	wp.customize( 'sister_start_here_container_width', function( value ) {
		value.bind( function( to ) {
			$( '.container, .site-header-wrap' ).css('max-width', to + 'px');
		} );
	} );
	// Content Width
	wp.customize( 'sister_start_here_container_width_content', function( value ) {
		value.bind( function( to ) {
			$( '.content-area' ).css('width', to + '%');
		} );
	} );
	// Sidebar Width
	wp.customize( 'sister_start_here_container_width_sidebar', function( value ) {
		value.bind( function( to ) {
			$( '.widget-area' ).css('width', to + '%');
		} );
	} );
	// START HERE: COLORS
	// Primary Color
    wp.customize( 'sister_start_here_primary_color', function( value ) {
        value.bind( function( to ) {
            $( 'body' ).css( 'color', to );
        } );
    } );
	// Secondary Color
	wp.customize( 'sister_start_here_secondary_color', function( value ) {
		value.bind( function( to ) {
			$( 'a:hover' ).css('color', to );
		} );
	} );
	// Accent Color
	wp.customize( 'sister_start_here_accent_color', function( value ) {
		value.bind( function( to ) {
			$( 'a, a:visited, a:focus, a:active' ).css('color', to );
		} );
	} );

	// BACKGROUND
    // Container Color
    wp.customize( 'sister_background_container_color', function( value ) {
        value.bind( function( to ) {
            $( '.container' ).css( 'background-color', to );
        } );
    } );

	// FONTS: BODY
	wp.customize( 'sister_fonts_body_font_size', function( value ) {
		value.bind( function( to ) {
			$( 'body' ).css('font-size', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_body_font_weight', function( value ) {
		value.bind( function( to ) {
			$( 'body' ).css('font-weight', to );
		} );
	} );
	// FONTS: HEADINGS
	wp.customize( 'sister_fonts_headings_font_style', function( value ) {
		value.bind( function( to ) {
			$( 'h1, h2, h3, h4, h5, h6' ).css('font-style', to );
		} );
	} );
	wp.customize( 'sister_fonts_headings_font_weight', function( value ) {
		value.bind( function( to ) {
			$( 'h1, h2, h3, h4, h5, h6' ).css('font-weight', to );
		} );
	} );
	wp.customize( 'sister_fonts_headings_letter_spacing', function( value ) {
		value.bind( function( to ) {
			$( 'h1, h2, h3, h4, h5, h6' ).css('letter-spacing', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_headings_text_align', function( value ) {
		value.bind( function( to ) {
			$( 'h1, h2, h3, h4, h5, h6' ).css('text-align', to );
		} );
	} );
	wp.customize( 'sister_fonts_headings_text_transform', function( value ) {
		value.bind( function( to ) {
			$( 'h1, h2, h3, h4, h5, h6' ).css('text-transform', to );
		} );
	} );
	wp.customize( 'sister_fonts_headings_h1', function( value ) {
		value.bind( function( to ) {
			$( 'h1' ).css('font-size', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_headings_h2', function( value ) {
		value.bind( function( to ) {
			$( 'h2' ).css('font-size', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_headings_h3', function( value ) {
		value.bind( function( to ) {
			$( 'h3' ).css('font-size', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_headings_h4', function( value ) {
		value.bind( function( to ) {
			$( 'h4' ).css('font-size', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_headings_h5', function( value ) {
		value.bind( function( to ) {
			$( 'h5' ).css('font-size', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_headings_h6', function( value ) {
		value.bind( function( to ) {
			$( 'h6' ).css('font-size', to + 'px' );
		} );
	} );
	// FONTS: SITE TITLE
	wp.customize( 'sister_fonts_site_title_font_size', function( value ) {
		value.bind( function( to ) {
			$( '.site-title' ).css('font-size', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_site_title_font_style', function( value ) {
		value.bind( function( to ) {
			$( '.site-title' ).css('font-style', to );
		} );
	} );
	wp.customize( 'sister_fonts_site_title_font_weight', function( value ) {
		value.bind( function( to ) {
			$( '.site-title' ).css('font-weight', to );
		} );
	} );
	wp.customize( 'sister_fonts_site_title_letter_spacing', function( value ) {
		value.bind( function( to ) {
			$( '.site-title' ).css('letter-spacing', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_site_title_text_align', function( value ) {
		value.bind( function( to ) {
			$( '.site-title' ).css('text-align', to );
		} );
	} );
	wp.customize( 'sister_fonts_site_title_text_transform', function( value ) {
		value.bind( function( to ) {
			$( '.site-title' ).css('text-transform', to );
		} );
	} );
	// FONTS: TAGLINE
	wp.customize( 'sister_fonts_tagline_font_size', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).css('font-size', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_tagline_font_style', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).css('font-style', to );
		} );
	} );
	wp.customize( 'sister_fonts_tagline_font_weight', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).css('font-weight', to );
		} );
	} );
	wp.customize( 'sister_fonts_tagline_letter_spacing', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).css('letter-spacing', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_tagline_text_align', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).css('text-align', to );
		} );
	} );
	wp.customize( 'sister_fonts_tagline_text_transform', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).css('text-transform', to );
		} );
	} );
	// FONTS: POST TITLE
	wp.customize( 'sister_fonts_post_title_font_size', function( value ) {
		value.bind( function( to ) {
			$( '.entry-title' ).css('font-size', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_post_title_font_style', function( value ) {
		value.bind( function( to ) {
			$( '.entry-title' ).css('font-style', to );
		} );
	} );
	wp.customize( 'sister_fonts_post_title_font_weight', function( value ) {
		value.bind( function( to ) {
			$( '.entry-title' ).css('font-weight', to );
		} );
	} );
	wp.customize( 'sister_fonts_post_title_letter_spacing', function( value ) {
		value.bind( function( to ) {
			$( '.entry-title' ).css('letter-spacing', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_post_title_text_align', function( value ) {
		value.bind( function( to ) {
			$( '.entry-title' ).css('text-align', to );
		} );
	} );
	wp.customize( 'sister_fonts_post_title_text_transform', function( value ) {
		value.bind( function( to ) {
			$( '.entry-title' ).css('text-transform', to );
		} );
	} );
	// FONTS: CATEGORY
	wp.customize( 'sister_fonts_category_font_size', function( value ) {
		value.bind( function( to ) {
			$( '.cat-links' ).css('font-size', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_category_font_style', function( value ) {
		value.bind( function( to ) {
			$( '.cat-links' ).css('font-style', to );
		} );
	} );
	wp.customize( 'sister_fonts_category_font_weight', function( value ) {
		value.bind( function( to ) {
			$( '.cat-links' ).css('font-weight', to );
		} );
	} );
	wp.customize( 'sister_fonts_category_letter_spacing', function( value ) {
		value.bind( function( to ) {
			$( '.cat-links' ).css('letter-spacing', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_category_text_align', function( value ) {
		value.bind( function( to ) {
			$( '.cat-links' ).css('text-align', to );
		} );
	} );
	wp.customize( 'sister_fonts_category_text_transform', function( value ) {
		value.bind( function( to ) {
			$( '.cat-links' ).css('text-transform', to );
		} );
	} );
	// FONTS: MENU
	wp.customize( 'sister_fonts_menu_font_size', function( value ) {
		value.bind( function( to ) {
			$( '.main-navigation' ).css('font-size', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_menu_font_style', function( value ) {
		value.bind( function( to ) {
			$( '.main-navigation' ).css('font-style', to );
		} );
	} );
	wp.customize( 'sister_fonts_menu_font_weight', function( value ) {
		value.bind( function( to ) {
			$( '.main-navigation' ).css('font-weight', to );
		} );
	} );
	wp.customize( 'sister_fonts_menu_letter_spacing', function( value ) {
		value.bind( function( to ) {
			$( '.main-navigation' ).css('letter-spacing', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_menu_text_transform', function( value ) {
		value.bind( function( to ) {
			$( '.main-navigation' ).css('text-transform', to );
		} );
	} );
	// FONTS: WIDGET TITLE
	wp.customize( 'sister_fonts_widget_title_font_size', function( value ) {
		value.bind( function( to ) {
			$( '.widget-title' ).css('font-size', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_widget_title_font_style', function( value ) {
		value.bind( function( to ) {
			$( '.widget-title' ).css('font-style', to );
		} );
	} );
	wp.customize( 'sister_fonts_widget_title_font_weight', function( value ) {
		value.bind( function( to ) {
			$( '.widget-title' ).css('font-weight', to );
		} );
	} );
	wp.customize( 'sister_fonts_widget_title_letter_spacing', function( value ) {
		value.bind( function( to ) {
			$( '.widget-title' ).css('letter-spacing', to + 'px' );
		} );
	} );
	wp.customize( 'sister_fonts_widget_title_text_align', function( value ) {
		value.bind( function( to ) {
			$( '.widget-title' ).css('text-align', to );
		} );
	} );
	wp.customize( 'sister_fonts_widget_title_text_transform', function( value ) {
		value.bind( function( to ) {
			$( '.widget-title' ).css('text-transform', to );
		} );
	} );
	// HEADER
	// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );
	// Header text color.
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( to ) {
			if ( 'blank' === to ) {
				$( '.site-title, .site-description' ).css( {
					'clip': 'rect(1px, 1px, 1px, 1px)',
					'position': 'absolute'
				} );
			} else {
				$( '.site-title, .site-description' ).css( {
					'clip': 'auto',
					'color': to,
					'position': 'relative'
				} );
			}
		} );
	} );
	// Site Title & Tagline Colors
	wp.customize( 'sister_header_site_title_color', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).css('color', to );
		} );
	} );
	wp.customize( 'sister_header_site_title_hover_color', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a:hover' ).css('color', to );
		} );
	} );
	wp.customize( 'sister_header_tagline_color', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).css('color', to );
		} );
	} );
	// Menu Colors
	wp.customize( 'sister_header_menu_color', function( value ) {
		value.bind( function( to ) {
			$( '.main-navigation a' ).css('color', to );
		} );
	} );
	wp.customize( 'sister_header_menu_hover_color', function( value ) {
		value.bind( function( to ) {
			$( '.main-navigation a:hover' ).css('color', to );
		} );
	} );
	// HIDE/SHOW ELEMENTS
	// Hide Search Box
	wp.customize( 'sister_hide_search_box', function( value ) {
		value.bind( function( to ) {
			if ( '1' == to ) {
				$( '.search-top' ).css( {
					'display': 'none'
				} );
			} else {
				$( '.search-top' ).css( {
					'display': 'inline'
				} );
			}
		} );
	} );
	// Hide Woocommerce Cart
	wp.customize( 'sister_hide_woo_cart', function( value ) {
		value.bind( function( to ) {
			if ( '1' == to ) {
				$( '.cart-contents' ).css( {
					'display': 'none'
				} );
			} else {
				$( '.cart-contents' ).css( {
					'display': 'inline'
				} );
			}
		} );
	} );
	// Hide Category Post
	wp.customize( 'sister_hide_category_post', function( value ) {
		value.bind( function( to ) {
			if ( '1' == to ) {
				$( '.cat-links' ).css( {
					'display': 'none'
				} );
			} else {
				$( '.cat-links' ).css( {
					'display': 'inline'
				} );
			}
		} );
	} );
	// Hide Comment Link
	wp.customize( 'sister_hide_comment_link', function( value ) {
		value.bind( function( to ) {
			if ( '1' == to ) {
				$( '.comments-link' ).css( {
					'display': 'none'
				} );
			} else {
				$( '.comments-link' ).css( {
					'display': 'inline'
				} );
			}
		} );
	} );
	// Hide Featured Image on the single post
	wp.customize( 'sister_hide_featured_image_single', function( value ) {
		value.bind( function( to ) {
			if ( '1' == to ) {
				$( '.single-post entry-thumbnail' ).css( {
					'display': 'none'
				} );
			} else {
				$( '.single-post entry-thumbnail' ).css( {
					'display': 'inline'
				} );
			}
		} );
	} );
	// Hide Date
	wp.customize( 'sister_hide_date', function( value ) {
		value.bind( function( to ) {
			if ( '1' == to ) {
				$( '.posted-on' ).css( {
					'display': 'none'
				} );
			} else {
				$( '.posted-on' ).css( {
					'display': 'inline'
				} );
			}
		} );
	} );
	// Hide Author Link
	wp.customize( 'sister_hide_author_link', function( value ) {
		value.bind( function( to ) {
			if ( '1' == to ) {
				$( '.byline' ).css( {
					'display': 'none'
				} );
			} else {
				$( '.byline' ).css( {
					'display': 'inline'
				} );
			}
		} );
	} );
	// Hide Social Sharing
	wp.customize( 'sister_hide_social_sharing', function( value ) {
		value.bind( function( to ) {
			if ( '1' == to ) {
				$( '.single-box' ).css( {
					'display': 'none'
				} );
			} else {
				$( '.single-box' ).css( {
					'display': 'inline'
				} );
			}
		} );
	} );
	// Hide Author Box
	wp.customize( 'sister_hide_author_box', function( value ) {
		value.bind( function( to ) {
			if ( '1' == to ) {
				$( '.author-bio' ).css( {
					'display': 'none'
				} );
			} else {
				$( '.author-bio' ).css( {
					'display': 'inline'
				} );
			}
		} );
	} );
	// Hide Related Post
	wp.customize( 'sister_hide_related_post', function( value ) {
		value.bind( function( to ) {
			if ( '1' == to ) {
				$( '.related-posts' ).css( {
					'display': 'none'
				} );
			} else {
				$( '.related-posts' ).css( {
					'display': 'inline'
				} );
			}
		} );
	} );
	// Hide Comment Area
	wp.customize( 'sister_hide_comment_area', function( value ) {
		value.bind( function( to ) {
			if ( '1' == to ) {
				$( '.comments-area' ).css( {
					'display': 'none'
				} );
			} else {
				$( '.comments-area' ).css( {
					'display': 'inline'
				} );
			}
		} );
	} );
	// Hide Footer Menu
	wp.customize( 'sister_hide_footer_menu', function( value ) {
		value.bind( function( to ) {
			if ( '1' == to ) {
				$( '#footer-navigation' ).css( {
					'display': 'none'
				} );
			} else {
				$( '#footer-navigation' ).css( {
					'display': 'inline'
				} );
			}
		} );
	} );
	// FOOTER
	// Footer Colors
	wp.customize( 'sister_footer_bg_color', function( value ) {
		value.bind( function( to ) {
			$( '.site-footer' ).css('background-color', to );
		} );
	} );
	wp.customize( 'sister_footer_text_color', function( value ) {
		value.bind( function( to ) {
			$( '.site-footer' ).css('color', to );
		} );
	} );
	wp.customize( 'sister_footer_widget_title_color', function( value ) {
		value.bind( function( to ) {
			$( '.footer-widget .widget-title' ).css('color', to );
		} );
	} );
	wp.customize( 'sister_footer_link_color', function( value ) {
		value.bind( function( to ) {
			$( '.site-footer a, .site-footer a:visited' ).css('color', to );
		} );
	} );
	wp.customize( 'sister_footer_link_hover_color', function( value ) {
		value.bind( function( to ) {
			$( '.site-footer a:hover, .site-footer a:focus, .site-footer a:active ' ).css('color', to );
		} );
	} );
} )( jQuery );