<?php
/**
 * @package sister
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        <?php if ( has_post_thumbnail() && ! post_password_required() && ! is_attachment() ) : ?>
	        <div class="entry-thumbnail">
	            <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" >
						<?php the_post_thumbnail(); ?>
	            </a>
	        </div>
        <?php endif; ?>
        
		<header class="entry-header">

			<?php sister_entry_cat(); ?>

			<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>

		</header><!-- .entry-header -->

		<div class="entry-content">

			<?php if ( get_theme_mod( 'sister_blog_style_excerpt' ) == '1' ) : ?>
				
				<?php the_excerpt(); ?>

			<?php else : ?>
				
				<?php
					/* translators: %s: Name of current post */
					the_content( sprintf(
						wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'sister' ), array( 'span' => array( 'class' => array() ) ) ),
						the_title( '<span class="screen-reader-text">"', '"</span>', false )
					) );
				?>
			
				<?php
					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'sister' ),
						'after'  => '</div>',
					) );
				?>
			
			<?php endif; ?>
		</div><!-- .entry-content -->

        <footer class="entry-footer">

			<?php if ( 'post' == get_post_type() ) : ?>
			<div class="entry-meta">
				<?php sister_posted_on(); ?>
			</div><!-- .entry-meta -->
			<?php endif; ?>

        </footer><!-- .entry-footer -->
</article><!-- #post-## -->